No arranca el modo grafico, tarjeta Intel HD 4000

Imagen de SoiFon
0 puntos

Hola, uso ubuntu 12.04, y mi problema es que al iniciar, me aparece la ventana negra para hacer login. Tras pulsar startx me aparece lo siguiente:

Please consult the The X.Org Foundation support (...) Please also check the log file at "/var/log/Xorg.0.log (...) Ninguna de las soluciones que aparecen en la red me solucionan el problema, alguien puede ayudarme??? Gracias!!

Imagen de cuentos
+1
0
-1

a- Cuando inicias te paracela la ventana de login. (donde te registras y pones la contraseña). O te aparece directamente la "terminal".
b- En la terminal, como te aparece el promt, o sea algo como estro:
[alex@arch-n ~]$
c- Que tarjeta gráfica tienes.
d- Antes entrabas bien a el entorno gráfico, o es una instalación nueva.

+1
0
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de SoiFon
+1
0
-1

Gracias por responder! Explico:
a- Me aparece la ventana para hacer login, el cual puedo hacer sin problemas
b- Aparece como siempre (no sabía que se llamaba así) es decir irene@PCiRene: ~$
c- Una Intel HD 4000
d- Entraba bien, llevo una semana trasteando el sistema hasta que me ha ocurrido esto

Las entradas del enlace de Gabriel muestran lo siguiente (escribiré lo que considero más relevante puesto que estoy con otro ordenador)
Conexiones:
Con el primer comando aparece el controlador del dispositivo Realtek RTL8101E
Con network Ralink corp.
Con iwl no aparece nada
Con ifconfig detecta sin problemas
Con iwconfig aparece el punto de acceso "WLAN_21"

Tarjetas de video:
vga: VGA compatible controller: Intel Corporation Ivy Bridge Graphics Controller (rev 09)
Con el comando xrandr | grep '*' dice can't open display
y al escribir solo xrandr dice que no se ha encontrado el paquete y que quizá quiso decir: la orden xrandr del paquete x11-xserver-utils

He intentado instalar dicho paquete (por probar) y dice que ya está en su versión más reciente y eso. Ainss que semanita llevo! muchas gracias :)

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

https://01.org/linuxgraphics/downloads/2013/intel-linux-graphics-installer

Para Ubuntu 12.04
Descarga este archivo:
https://01.org/linuxgraphics/sites/default/files/downloads/u12.04-downgr...

Estando en la carpeta donde se descargó ejecuta estas ordenes:

tar xf u12.04-downgrade.tar
sudo sh ./downgrade.sh
reboot

Para Ubuntu 13.04, esta es la guia
https://01.org/linuxgraphics/downloads/2013/intelr-linux-graphics-instal...

+1
0
-1
Imagen de SoiFon
+1
0
-1

Al ejecutar sudo sh ./downgrade.sh me salen errores., muchos, todo se resume en "Imposible obtener http://packages.medibuntu.org/dists/precise/non-free/binary-i386/Packages (y lo mismo con free/i18n/Translation-en) Algo raro pasó al resolver

+1
0
-1
Imagen de Gabriel_M
+1
0
-1

... que ver con el archivo.
El archivo tiene este contenido:

#!/bin/sh

rm -f /etc/apt/sources.list.d/intellinuxgraphics.list && \
apt-get update                                        && \
apt-get --ignore-missing install         \
    libcairo2/precise                    \
    libcairo-gobject2/precise            \
    libcairo-script-interpreter2/precise \
    libdrm2/precise                      \
    libdrm-nouveau2/precise              \
    libdrm-intel1/precise                \
    libkms1/precise                      \
    libva1/precise                       \
    libva-x11-1/precise                  \
    libva-glx1/precise                   \
    libva-tpi1/precise                   \
    libva-egl1/precise                   \
    vainfo/precise                       \
    libxatracker1/precise                \
    libgbm1/precise                      \
    libegl1-mesa/precise                 \
    libegl1-mesa-drivers/precise         \
    libopenvg1-mesa/precise              \
    libgles1-mesa/precise                \
    libgles2-mesa/precise                \
    libglapi-mesa/precise                \
    libgl1-mesa-glx/precise              \
    libgl1-mesa-dri/precise              \
    libgl1-mesa-dri-experimental/precise \
    libosmesa6/precise                   \
    libglu1-mesa/precise                 \
    i965-va-driver/precise               \
    libva-intel-vaapi-driver/precise     \
    xserver-xorg-video-intel/precise     \
    libwayland0/precise
dpkg --purge i915-3.4-3.2-dkms 2>/dev/null;

cuando comienza a ejecutarse, la primera orden

apt-get update  

No se puede cumplir porque tienes errores en los repositorios:
Imposible obtener http://packages.medibuntu.org/dists/precise/non-free/binary-i386/Packages
Soluciona los errores de tu archivo sources.list

+1
0
-1
Imagen de SoiFon
+1
0
-1

No consigo repararlo, todo me da errores y tampoco tenía datos importantes, así que formatearé y listo. Muchas gracias por vuestra ayuda

+1
0
-1